Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357152 - Start/End dates on subscription-manager list --installed are immediately blank after a productid is first installed
Summary: Start/End dates on subscription-manager list --installed are immediately blan...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Jiri Hnidek
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 21:25 UTC by John Sefler
Modified: 2017-08-01 19:18 UTC (History)
5 users (show)

Fixed In Version: subscription-manager-1.19.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:18:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2083 normal SHIPPED_LIVE python-rhsm and subscription-manager bug fix and enhancement update 2017-08-01 18:14:19 UTC
Github candlepin subscription-manager pull 1599 None None None 2017-04-21 06:52:00 UTC

Description John Sefler 2016-07-15 21:25:11 UTC
Description of problem:
Immediately after installing a package from a repo belonging to a new engineering product (e.g. an EUS product), the productid is installed to /etc/pki/product/.  I have noticed that the first call to subscription-manager list --installed after this event will correctly report the newly installed product cert, but the Start/End Dates from the entitlement that covers the product are missing.  The status is correct, but the dates are missing.  However, a second call to list --installed fixes the issue and correctly displays the start/end dates.


Version-Release number of selected component (if applicable):
[root@ibm-p730-06-lp3 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.15-1
subscription management rules: 5.15.1
subscription-manager: 1.17.8-1.el7
python-rhsm: 1.17.5-1.el7


How reproducible:


Steps to Reproduce:
[root@ibm-p730-06-lp3 ~]# subscription-manager register --serverurl=subscription.rhn.stage.redhat.com --baseurl=https://cdn.redhat.com --auto-attach --username=qa@redhat.com
Registering to: subscription.rhn.stage.redhat.com:443/subscription
Password: 
The system has been registered with ID: d0f5457d-ac07-4518-8845-91e1faf52a32 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux for Power, big endian
Status:       Subscribed

[root@ibm-p730-06-lp3 ~]# subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-for-power-htb-rpms
Repo Name: Red Hat Enterprise Linux 7 for IBM Power HTB (RPMs)
Repo URL:  https://cdn.redhat.com/content/htb/rhel/power/7/$basearch/os
Enabled:   1

Repo ID:   rhel-7-for-power-eus-rpms
Repo Name: Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support (RPMs)
Repo URL:  https://cdn.redhat.com/content/eus/rhel/power/7/$releasever/$basearch/os
Enabled:   1

Repo ID:   rhel-7-for-power-rpms
Repo Name: Red Hat Enterprise Linux 7 for IBM Power (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/power/7/$releasever/$basearch/os
Enabled:   1

[root@ibm-p730-06-lp3 ~]# subscription-manager list --installed
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux for Power, big endian
Product ID:     74
Version:        7.3 Beta
Arch:           ppc64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/15/2017

[root@ibm-p730-06-lp3 ~]# rpm -q zsh
package zsh is not installed

[root@ibm-p730-06-lp3 ~]# yum -y --quiet install zsh --disablerepo=* --enablerepo=rhel-7-for-power-eus-rpms

[root@ibm-p730-06-lp3 ~]# subscription-manager list --installed

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux for Power, big endian - Extended Update Support
Product ID:     75
Version:        7.2
Arch:           ppc64
Status:         Subscribed
Status Details: 
Starts:                            <======== MISSING! Expected 06/16/2016
Ends:                              <======== MISSING! Expected 06/15/2017

Product Name:   Red Hat Enterprise Linux for Power, big endian
Product ID:     74
Version:        7.3 Beta
Arch:           ppc64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/15/2017

[root@ibm-p730-06-lp3 ~]# subscription-manager list --installed

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux for Power, big endian - Extended Update Support
Product ID:     75
Version:        7.2
Arch:           ppc64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/15/2017

Product Name:   Red Hat Enterprise Linux for Power, big endian
Product ID:     74
Version:        7.3 Beta
Arch:           ppc64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/15/2017

[root@ibm-p730-06-lp3 ~]# 

Actual results:
  above - notice the start/end dates reported from the first call to list --installed are missing after a new productid file (/etc/pki/product/75.pem) is installed (as a result of installing a package from the eus repo).  However, after the second call, the start/end dates are reported.


Expected results:
  the start/end dates for the coverage of an installed product should always be shown





Additional info:
[root@ibm-p730-06-lp3 ~]# tail -f /var/log/rhsm/rhsm.log

log while installing the package/productid...

2016-07-15 17:03:59,066 [DEBUG] yum:6198 @identity.py:131 - Loading consumer info from identity certificates.
2016-07-15 17:03:59,072 [INFO] yum:6198 @connection.py:830 - Connection built: host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-07-15 17:03:59,092 [INFO] yum:6198 @connection.py:830 - Connection built: host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-07-15 17:03:59,093 [DEBUG] yum:6198 @connection.py:525 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2016-07-15 17:03:59,093 [DEBUG] yum:6198 @connection.py:573 - Making request: GET /subscription/
2016-07-15 17:03:59,442 [DEBUG] yum:6198 @connection.py:602 - Response: status=200
2016-07-15 17:03:59,443 [DEBUG] yum:6198 @connection.py:847 - Server supports the following resources: {'': '/', 'guestids': '/consumers/{consumer_uuid}/guestids', 'cdn': '/cdn', 'content_overrides': '/consumers/{consumer_uuid}/content_overrides', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'events': '/events', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'consumertypes': '/consumertypes', 'statistics/generate': '/statistics/generate', 'pools': '/pools', 'atom': '/atom', 'packages': '/consumers/{consumer_uuid}/packages', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'products': '/products', 'activation_keys': '/activation_keys', 'crl': '/crl'}
2016-07-15 17:03:59,511 [DEBUG] yum:6198 @__init__.py:85 - Searching for content of type: yum
2016-07-15 17:03:59,513 [DEBUG] yum:6198 @connection.py:525 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2016-07-15 17:03:59,513 [DEBUG] yum:6198 @connection.py:573 - Making request: GET /subscription/consumers/d0f5457d-ac07-4518-8845-91e1faf52a32/release
2016-07-15 17:04:00,030 [DEBUG] yum:6198 @connection.py:602 - Response: status=200, requestUuid=19166b6e-9a88-4e8c-b430-1418a3ba8c20
2016-07-15 17:04:00,031 [DEBUG] yum:6198 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/releasever.json
2016-07-15 17:04:00,471 [DEBUG] yum:6198 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/releasever.json
2016-07-15 17:04:00,617 [DEBUG] yum:6198 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/written_overrides.json
2016-07-15 17:04:00,619 [INFO] yum:6198 @repolib.py:303 - repos updated: Repo updates

Total repo updates: 105
Updated
    [id:rhel-7-for-power-satellite-tools-6.2-source-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 for IBM Power) (Source RPMs)]
    [id:rhel-7-for-power-htb-rpms Red Hat Enterprise Linux 7 for IBM Power HTB (RPMs)]
    [id:rhel-7-for-power-cert-source-rpms Red Hat Certification (for RHEL 7 for IBM Power) (Source RPMs)]
    [id:rhel-7-for-power-rhn-tools-beta-source-rpms RHN Tools for Red Hat Enterprise Linux 7 for IBM Power Beta (Source RPMs)]
    [id:rhel-7-for-power-satellite-tools-6.1-source-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 for IBM Power) (Source RPMs)]
    [id:jb-eap-6-for-rhel-7-for-power-rpms JBoss Enterprise Application Platform 6 (RHEL 7 for IBM Power) (RPMs)]
    [id:rhel-7-for-power-hts-rpms Red Hat Hardware Certification Test Suite (for RHEL 7 for IBM Power) (RPMs)]
    [id:jb-eap-6.3-for-rhel-7-for-power-debug-rpms JBoss Enterprise Application Platform 6.3 (RHEL 7 for IBM Power) (Debug RPMs)]
    [id:rhel-7-server-rhev-tools-for-power-beta-rpms Red Hat Enterprise Virtualization Tools Beta for IBM Power (RPMs)]
    [id:rhel-7-for-power-satellite-tools-6-beta-source-rpms Red Hat Satellite Tools 6 Beta (for RHEL 7 for IBM Power) (Source RPMs)]
    [id:rhel-7-for-power-rhn-tools-beta-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 for IBM Power Beta (Debug RPMs)]
    [id:rhev-host-3.4-for-power-debug-rpms Red Hat Enterprise Virtualization for IBM Power (Debug RPMs)]
    [id:jb-eap-6.4-for-rhel-7-for-power-source-rpms JBoss Enterprise Application Platform 6.4 (RHEL 7 for IBM Power) (Source RPMs)]
    [id:rhel-7-for-power-eus-rh-common-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support - RH Common (Debug RPMs)]
    [id:rhel-7-for-power-satellite-tools-6.1-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 for IBM Power) (RPMs)]
    [id:rhel-7-for-power-eus-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support (Source RPMs)]
    [id:rhel-7-for-power-extras-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Extras (Source RPMs)]
    [id:jb-coreservices-1-for-rhel-7-for-power-rpms JBoss Core Services (RHEL 7 for IBM Power) (RPMs)]
    [id:rhel-7-for-power-fastrack-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Fastrack (Source RPMs)]
    [id:rhel-7-for-power-eus-supplementary-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support - Supplementary (RPMs)]
    [id:rhel-7-for-power-rpms Red Hat Enterprise Linux 7 for IBM Power (RPMs)]
    [id:rhev-host-3.4-for-power-source-rpms Red Hat Enterprise Virtualization for IBM Power (Source RPMs)]
    [id:rhel-7-for-power-rh-common-source-rpms Red Hat Enterprise Linux 7 for IBM Power - RH Common (Source RPMs)]
    [id:rhel-7-for-power-fastrack-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Fastrack (Debug RPMs)]
    [id:rhel-7-for-power-eus-satellite-tools-6.1-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 for IBM Power - EUS) (RPMs)]
    [id:rhel-7-for-power-optional-beta-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional Beta (Debug RPMs)]
    [id:rhel-7-for-power-extras-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Extras (Debug RPMs)]
    [id:rhel-7-for-power-optional-htb-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional HTB (RPMs)]
    [id:rhel-7-for-power-eus-supplementary-debuginfo Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support - Supplementary (Debug RPMs)]
    [id:rhel-7-for-power-supplementary-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Supplementary (Source RPMs)]
    [id:rhel-7-for-power-cert-beta-rpms Red Hat Certification Beta (for RHEL 7 for IBM Power)]
    [id:rhel-7-for-power-satellite-tools-6-beta-debug-rpms Red Hat Satellite Tools 6 Beta (for RHEL 7 for IBM Power) (Debug RPMs)]
    [id:rhel-7-for-power-debug-rpms Red Hat Enterprise Linux 7 for IBM Power (Debug RPMs)]
    [id:rhel-7-for-power-rh-common-beta-rpms Red Hat Enterprise Linux 7 for IBM Power - RH Common Beta (RPMs)]
    [id:rhel-7-for-power-eus-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support (Debug RPMs)]
    [id:rhel-7-for-power-optional-htb-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional HTB (Debug RPMs)]
    [id:rhel-7-for-power-satellite-tools-6.1-debug-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 for IBM Power) (Debug RPMs)]
    [id:rhel-7-for-power-beta-debug-rpms Red Hat Enterprise Linux 7 for IBM Power Beta (Debug RPMs)]
    [id:rhel-7-for-power-eus-rh-common-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support - RH Common (Source RPMs)]
    [id:rhel-7-for-power-htb-debug-rpms Red Hat Enterprise Linux 7 for IBM Power HTB (Debug RPMs)]
    [id:rhel-7-for-power-optional-fastrack-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional Fastrack (Source RPMs)]
    [id:jb-coreservices-1-for-rhel-7-for-power-debug-rpms JBoss Core Services (RHEL 7 for IBM Power) (Debug RPMs)]
    [id:rhel-7-for-power-eus-rh-common-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support - RH Common (RPMs)]
    [id:jb-eap-6.3-for-rhel-7-for-power-rpms JBoss Enterprise Application Platform 6.3 (RHEL 7 for IBM Power) (RPMs)]
    [id:rhel-7-for-power-rhn-tools-beta-rpms RHN Tools for Red Hat Enterprise Linux 7 for IBM Power Beta (RPMs)]
    [id:rhel-7-for-power-eus-satellite-tools-6.2-debug-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 for IBM Power - EUS) (Debug RPMs)]
    [id:rhev-host-3.4-for-power-rpms Red Hat Enterprise Virtualization for IBM Power (RPMs)]
    [id:rhel-7-for-power-extras-htb-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Extras HTB (Debug RPMs)]
    [id:jb-eap-6.3-for-rhel-7-for-power-source-rpms JBoss Enterprise Application Platform 6.3 (RHEL 7 for IBM Power) (Source RPMs)]
    [id:rhel-7-for-power-optional-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional (RPMs)]
    [id:rhel-7-for-power-eus-optional-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support - Optional (Source RPMs)]
    [id:rhel-7-for-power-rh-common-rpms Red Hat Enterprise Linux 7 for IBM Power - RH Common (RPMs)]
    [id:jb-eap-6.4-for-rhel-7-for-power-debug-rpms JBoss Enterprise Application Platform 6.4 (RHEL 7 for IBM Power) (Debug RPMs)]
    [id:rhel-7-for-power-eus-optional-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support - Optional (RPMs)]
    [id:rhel-7-for-power-extras-rpms Red Hat Enterprise Linux 7 for IBM Power - Extras (RPMs)]
    [id:rhel-7-for-power-supplementary-beta-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Supplementary Beta (Source RPMs)]
    [id:rhel-7-for-power-eus-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support (RPMs)]
    [id:rhel-7-for-power-hts-source-rpms Red Hat Hardware Certification Test Suite (for RHEL 7 for IBM Power) (Source RPMs)]
    [id:rhel-7-for-power-fastrack-rpms Red Hat Enterprise Linux 7 for IBM Power - Fastrack (RPMs)]
    [id:rhel-7-for-power-extras-htb-rpms Red Hat Enterprise Linux 7 for IBM Power - Extras HTB (RPMs)]
    [id:rhel-7-for-power-rhn-tools-source-rpms RHN Tools for Red Hat Enterprise Linux 7 for IBM Power (Source RPMs)]
    [id:rhel-7-for-power-eus-rhn-tools-source-rpms RHN Tools for Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support (Source RPMs)]
    [id:rhel-7-for-power-supplementary-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Supplementary (Debug RPMs)]
    [id:rhel-7-for-power-beta-source-rpms Red Hat Enterprise Linux 7 for IBM Power Beta (Source RPMs)]
    [id:rhel-7-for-power-optional-fastrack-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional Fastrack (Debug RPMs)]
    [id:rhel-7-for-power-optional-beta-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional Beta (Source RPMs)]
    [id:rhel-7-for-power-satellite-tools-6-beta-rpms Red Hat Satellite Tools 6 Beta (for RHEL 7 for IBM Power) (RPMs)]
    [id:rhel-7-for-power-rhn-tools-rpms RHN Tools for Red Hat Enterprise Linux 7 for IBM Power (RPMs)]
    [id:rhel-7-for-power-optional-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional (Source RPMs)]
    [id:jb-coreservices-1-for-rhel-7-for-power-source-rpms JBoss Core Services (RHEL 7 for IBM Power) (Source RPMs)]
    [id:rhel-7-for-power-eus-rhn-tools-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support (Debug RPMs)]
    [id:jb-eap-6-for-rhel-7-for-power-source-rpms JBoss Enterprise Application Platform 6 (RHEL 7 for IBM Power) (Source RPMs)]
    [id:rhel-7-for-power-supplementary-rpms Red Hat Enterprise Linux 7 for IBM Power - Supplementary (RPMs)]
    [id:rhel-7-for-power-eus-satellite-tools-6.1-debug-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 for IBM Power - EUS) (Debug RPMs)]
    [id:jb-eap-6.4-for-rhel-7-for-power-rpms JBoss Enterprise Application Platform 6.4 (RHEL 7 for IBM Power) (RPMs)]
    [id:jb-eap-6-for-rhel-7-for-power-debug-rpms JBoss Enterprise Application Platform 6 (RHEL 7 for IBM Power) (Debug RPMs)]
    [id:rhel-7-for-power-eus-satellite-tools-6.2-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 for IBM Power - EUS) (RPMs)]
    [id:rhel-7-for-power-optional-htb-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional HTB (Source RPMs)]
    [id:rhel-7-for-power-beta-rpms Red Hat Enterprise Linux 7 for IBM Power Beta (RPMs)]
    [id:rhel-7-server-rhev-tools-for-power-rpms Red Hat Enterprise Virtualization Tools for IBM Power (RPMs)]
    [id:rhel-7-for-power-cert-beta-source-rpms Red Hat Certification Beta (for RHEL 7 for IBM Power) (Source RPMs)]
    [id:rhel-7-for-power-satellite-tools-6.2-debug-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 for IBM Power) (Debug RPMs)]
    [id:rhel-7-for-power-cert-rpms Red Hat Certification (for RHEL 7 for IBM Power)]
    [id:rhel-7-for-power-eus-supplementary-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support - Supplementary (Source RPMs)]
    [id:rhel-7-for-power-optional-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional (Debug RPMs)]
    [id:rhel-7-for-power-htb-source-rpms Red Hat Enterprise Linux 7 for IBM Power HTB (Source RPMs)]
    [id:rhel-7-for-power-rh-common-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - RH Common (Debug RPMs)]
    [id:rhel-7-server-rhev-tools-for-power-beta-source-rpms Red Hat Enterprise Virtualization Tools Beta for IBM Power (Source RPMs)]
    [id:rhel-7-server-rhev-tools-for-power-beta-debug-rpms Red Hat Enterprise Virtualization Tools Beta for IBM Power (Debug RPMs)]
    [id:rhel-7-for-power-eus-rhn-tools-rpms RHN Tools for Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support (RPMs)]
    [id:rhel-7-for-power-rh-common-beta-source-rpms Red Hat Enterprise Linux 7 for IBM Power - RH Common Beta (Source RPMs)]
    [id:rhel-7-for-power-supplementary-beta-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Supplementary Beta (Debug RPMs)]
    [id:rhel-7-for-power-extras-htb-source-rpms Red Hat Enterprise Linux 7 for IBM Power - Extras HTB (Source RPMs)]
    [id:rhel-7-for-power-eus-satellite-tools-6.1-source-rpms Red Hat Satellite Tools 6.1 (for RHEL 7 for IBM Power - EUS) (Source RPMs)]
    [id:rhel-7-server-rhev-tools-for-power-debug-rpms Red Hat Enterprise Virtualization Tools for IBM Power (Debug RPMs)]
    [id:rhel-7-for-power-source-rpms Red Hat Enterprise Linux 7 for IBM Power (Source RPMs)]
    [id:rhel-7-for-power-rh-common-beta-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - RH Common Beta (Debug RPMs)]
    [id:rhel-7-for-power-optional-beta-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional Beta (RPMs)]
    [id:rhel-7-for-power-satellite-tools-6.2-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 for IBM Power) (RPMs)]
    [id:rhel-7-for-power-supplementary-beta-rpms Red Hat Enterprise Linux 7 for IBM Power - Supplementary Beta (RPMs)]
    [id:rhel-7-for-power-optional-fastrack-rpms Red Hat Enterprise Linux 7 for IBM Power - Optional Fastrack (RPMs)]
    [id:rhel-7-server-rhev-tools-for-power-source-rpms Red Hat Enterprise Virtualization Tools for IBM Power (Source RPMs)]
    [id:rhel-7-for-power-eus-optional-debug-rpms Red Hat Enterprise Linux 7 for IBM Power - Extended Update Support - Optional (Debug RPMs)]
    [id:rhel-7-for-power-rhn-tools-debug-rpms RHN Tools for Red Hat Enterprise Linux 7 for IBM Power (Debug RPMs)]
    [id:rhel-7-for-power-eus-satellite-tools-6.2-source-rpms Red Hat Satellite Tools 6.2 (for RHEL 7 for IBM Power - EUS) (Source RPMs)]
Added (new)
    <NONE>
Deleted
    <NONE>
2016-07-15 17:04:11,694 [DEBUG] yum:6198 @plugins.py:569 - loaded plugin modules: [<module 'container_content' from '/usr/share/rhsm-plugins/container_content.pyc'>, <module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.pyc'>]
2016-07-15 17:04:11,694 [DEBUG] yum:6198 @plugins.py:570 - loaded plugins: {'container_content.ContainerContentPlugin': <container_content.ContainerContentPlugin object at 0x1001ece03d0>, 'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x1001ece0810>}
2016-07-15 17:04:12,667 [DEBUG] yum:6198 @productid.py:643 - Checking for product certs to remove. Active include: set(['rhel-7-for-power-eus-rpms'])
2016-07-15 17:04:12,669 [WARNING] yum:6198 @productid.py:695 - rhel-7-for-power-rpms is disabled via yum cmdline. Not deleting product cert 74
2016-07-15 17:04:12,669 [DEBUG] yum:6198 @productid.py:421 - Checking for product id certs to install or update.
2016-07-15 17:04:12,669 [DEBUG] yum:6198 @productid.py:426 - active set(['rhel-7-for-power-eus-rpms'])
2016-07-15 17:04:12,669 [DEBUG] yum:6198 @productid.py:427 - enabled [(<rhsm.certificate2.ProductCertificate object at 0x1001e42b2d0>, 'rhel-7-for-power-eus-rpms')]
2016-07-15 17:04:12,669 [DEBUG] yum:6198 @productid.py:443 - product cert: 75 repo: rhel-7-for-power-eus-rpms
2016-07-15 17:04:12,669 [INFO] yum:6198 @productid.py:533 - Updating product db with 75 -> rhel-7-for-power-eus-rpms
2016-07-15 17:04:12,670 [INFO] yum:6198 @productid.py:584 - Installed product cert 75: Red Hat Enterprise Linux for Power, big endian - Extended Update Support /etc/pki/product/75.pem
2016-07-15 17:04:12,670 [DEBUG] yum:6198 @productid.py:561 - about to run post_product_id_install
2016-07-15 17:04:12,670 [DEBUG] yum:6198 @productid.py:572 - about to run post_product_id_update

log from call to list --installed immediately after installing the package/productid...

2016-07-15 17:04:50,739 [DEBUG] subscription-manager:6212 @ga_loader.py:89 - ga_loader GaImporterGtk3
2016-07-15 17:04:50,748 [DEBUG] subscription-manager:6212 @plugins.py:569 - loaded plugin modules: [<module 'container_content' from '/usr/share/rhsm-plugins/container_content.pyc'>, <module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.pyc'>]
2016-07-15 17:04:50,748 [DEBUG] subscription-manager:6212 @plugins.py:570 - loaded plugins: {'container_content.ContainerContentPlugin': <container_content.ContainerContentPlugin object at 0x100378a05d0>, 'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x100378a0b90>}
2016-07-15 17:04:50,748 [DEBUG] subscription-manager:6212 @identity.py:131 - Loading consumer info from identity certificates.
2016-07-15 17:04:50,812 [INFO] subscription-manager:6212 @managercli.py:384 - Client Versions: {'python-rhsm': '1.17.5-1.el7', 'subscription-manager': '1.17.8-1.el7'}
2016-07-15 17:04:50,813 [INFO] subscription-manager:6212 @connection.py:830 - Connection built: host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-07-15 17:04:50,814 [INFO] subscription-manager:6212 @connection.py:830 - Connection built: host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=none
2016-07-15 17:04:50,815 [DEBUG] subscription-manager:6212 @connection.py:525 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2016-07-15 17:04:50,815 [DEBUG] subscription-manager:6212 @connection.py:573 - Making request: GET /subscription/consumers/d0f5457d-ac07-4518-8845-91e1faf52a32
2016-07-15 17:04:51,247 [DEBUG] subscription-manager:6212 @connection.py:602 - Response: status=200, requestUuid=a9cf27a6-0a10-4459-a81b-85771a48b2e3
2016-07-15 17:04:51,249 [DEBUG] subscription-manager:6212 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/product_status.json
2016-07-15 17:04:51,252 [DEBUG] subscription-manager:6212 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/product_status.json
2016-07-15 17:04:51,252 [DEBUG] subscription-manager:6212 @cache.py:154 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2016-07-15 17:04:51,253 [DEBUG] subscription-manager:6212 @cache.py:156 - System data has changed, updating server.
2016-07-15 17:04:51,254 [DEBUG] subscription-manager:6212 @connection.py:525 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2016-07-15 17:04:51,254 [DEBUG] subscription-manager:6212 @connection.py:573 - Making request: PUT /subscription/consumers/d0f5457d-ac07-4518-8845-91e1faf52a32
2016-07-15 17:04:51,696 [DEBUG] subscription-manager:6212 @connection.py:602 - Response: status=204, requestUuid=2140a791-82c0-4473-9ed1-6b76784fc448
2016-07-15 17:04:51,697 [DEBUG] subscription-manager:6212 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/installed_products.json
2016-07-15 17:04:51,697 [DEBUG] subscription-manager:6212 @certdirectory.py:216 - Installed product IDs: ['75', '74']
2016-07-15 17:04:51,698 [DEBUG] subscription-manager:6212 @connection.py:525 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2016-07-15 17:04:51,698 [DEBUG] subscription-manager:6212 @connection.py:573 - Making request: GET /subscription/consumers/d0f5457d-ac07-4518-8845-91e1faf52a32/compliance
2016-07-15 17:04:52,377 [DEBUG] subscription-manager:6212 @connection.py:602 - Response: status=200, requestUuid=78f5630d-ee92-4c75-96ed-9cdd4f4465cf
2016-07-15 17:04:52,398 [DEBUG] subscription-manager:6212 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2016-07-15 17:04:52,421 [INFO] subscription-manager:6212 @cert_sorter.py:205 - Product status: valid_products=75 and 74 partial_products= expired_products= unentitled_producs= future_products= valid_until=2017-06-16 04:00:00+00:00
2016-07-15 17:04:52,421 [DEBUG] subscription-manager:6212 @cert_sorter.py:207 - partial stacks: []
2016-07-15 17:04:52,422 [DEBUG] subscription-manager:6212 @cache.py:154 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2016-07-15 17:04:52,425 [DEBUG] subscription-manager:6212 @cache.py:171 - No changes.
2016-07-15 17:04:52,425 [DEBUG] subscription-manager:6212 @identity.py:131 - Loading consumer info from identity certificates.
2016-07-15 17:04:52,427 [ERROR] subscription-manager:6212 @validity.py:77 - Requested status for installed product server does not know about: 75
2016-07-15 17:04:52,444 [DEBUG] subscription-manager:6212 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/entitlement_status.json

log from call to list --installed a second time...

2016-07-15 17:05:14,199 [DEBUG] subscription-manager:6215 @ga_loader.py:89 - ga_loader GaImporterGtk3
2016-07-15 17:05:14,207 [DEBUG] subscription-manager:6215 @plugins.py:569 - loaded plugin modules: [<module 'container_content' from '/usr/share/rhsm-plugins/container_content.pyc'>, <module 'ostree_content' from '/usr/share/rhsm-plugins/ostree_content.pyc'>]
2016-07-15 17:05:14,208 [DEBUG] subscription-manager:6215 @plugins.py:570 - loaded plugins: {'container_content.ContainerContentPlugin': <container_content.ContainerContentPlugin object at 0x10007e505d0>, 'ostree_content.OstreeContentPlugin': <ostree_content.OstreeContentPlugin object at 0x10007e50b90>}
2016-07-15 17:05:14,208 [DEBUG] subscription-manager:6215 @identity.py:131 - Loading consumer info from identity certificates.
2016-07-15 17:05:14,272 [INFO] subscription-manager:6215 @managercli.py:384 - Client Versions: {'python-rhsm': '1.17.5-1.el7', 'subscription-manager': '1.17.8-1.el7'}
2016-07-15 17:05:14,273 [INFO] subscription-manager:6215 @connection.py:830 - Connection built: host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-07-15 17:05:14,273 [INFO] subscription-manager:6215 @connection.py:830 - Connection built: host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=none
2016-07-15 17:05:14,274 [DEBUG] subscription-manager:6215 @connection.py:525 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2016-07-15 17:05:14,275 [DEBUG] subscription-manager:6215 @connection.py:573 - Making request: GET /subscription/consumers/d0f5457d-ac07-4518-8845-91e1faf52a32
2016-07-15 17:05:14,722 [DEBUG] subscription-manager:6215 @connection.py:602 - Response: status=200, requestUuid=7335d8e1-1629-4cf7-81d7-e37fa2652187
2016-07-15 17:05:14,724 [DEBUG] subscription-manager:6215 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/product_status.json
2016-07-15 17:05:14,727 [DEBUG] subscription-manager:6215 @cache.py:154 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2016-07-15 17:05:14,727 [DEBUG] subscription-manager:6215 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/product_status.json
2016-07-15 17:05:14,728 [DEBUG] subscription-manager:6215 @cache.py:171 - No changes.
2016-07-15 17:05:14,728 [DEBUG] subscription-manager:6215 @certdirectory.py:216 - Installed product IDs: ['75', '74']
2016-07-15 17:05:14,729 [DEBUG] subscription-manager:6215 @connection.py:525 - Loaded CA certificates from /etc/rhsm/ca/: redhat-uep.pem, redhat-entitlement-authority.pem
2016-07-15 17:05:14,729 [DEBUG] subscription-manager:6215 @connection.py:573 - Making request: GET /subscription/consumers/d0f5457d-ac07-4518-8845-91e1faf52a32/compliance
2016-07-15 17:05:15,374 [DEBUG] subscription-manager:6215 @connection.py:602 - Response: status=200, requestUuid=79bef73a-ca82-40aa-bdb6-29420805d74d
2016-07-15 17:05:15,395 [DEBUG] subscription-manager:6215 @cache.py:289 - Started thread to write cache: /var/lib/rhsm/cache/entitlement_status.json
2016-07-15 17:05:15,416 [INFO] subscription-manager:6215 @cert_sorter.py:205 - Product status: valid_products=75 and 74 partial_products= expired_products= unentitled_producs= future_products= valid_until=2017-06-16 04:00:00+00:00
2016-07-15 17:05:15,416 [DEBUG] subscription-manager:6215 @cert_sorter.py:207 - partial stacks: []
2016-07-15 17:05:15,416 [DEBUG] subscription-manager:6215 @cache.py:154 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2016-07-15 17:05:15,419 [DEBUG] subscription-manager:6215 @cache.py:171 - No changes.
2016-07-15 17:05:15,420 [DEBUG] subscription-manager:6215 @identity.py:131 - Loading consumer info from identity certificates.
2016-07-15 17:05:15,439 [DEBUG] subscription-manager:6215 @cache.py:110 - Wrote cache: /var/lib/rhsm/cache/entitlement_status.json

Comment 1 Jiri Hnidek 2017-04-19 11:25:18 UTC
I can confirm this behavior.

Comment 5 Rehana 2017-05-02 11:42:43 UTC
Demonstrating failure on RHEL73 machine with below subscription-manager version 
==============================================================================
subscription-manager: 1.17.15-1.el7
python-rhsm: 1.17.9-1.el7

# subscription-manager register --serverurl=subscription.rhn.stage.redhat.com --baseurl=https://cdn.redhat.com --auto-attach --username=qa@redhat.com
Registering to: subscription.rhn.stage.redhat.com:443/subscription
Password: 
The system has been registered with ID: 53069bef-a9f2-4d97-9b0c-def3a85048f0 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

# subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-server-htb-rpms
Repo Name: Red Hat Enterprise Linux 7 Server HTB (RPMs)
Repo URL:  https://cdn.redhat.com/content/htb/rhel/server/7/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-aus-rhui-rpms
Repo Name: Red Hat Enterprise Linux 7 Server - AUS (RPMs) from RHUI
Repo URL:  https://cdn.redhat.com/content/aus/rhel/rhui/server/7/$releasever/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-tus-rpms
Repo Name: Red Hat Enterprise Linux 7 Server - TUS (RPMs)
Repo URL:  https://cdn.redhat.com/content/tus/rhel/server/7/$releasever/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-aus-rpms
Repo Name: Red Hat Enterprise Linux 7 Server - AUS (RPMs)
Repo URL:  https://cdn.redhat.com/content/aus/rhel/server/7/$releasever/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-nfv-rpms
Repo Name: Red Hat Enterprise Linux for Real Time for NFV (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/nfv/os
Enabled:   1

Repo ID:   rhel-7-server-rt-htb-rpms
Repo Name: Red Hat Enterprise Linux for Real Time HTB (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/htb/rhel/server/7/$basearch/rt/os
Enabled:   1

Repo ID:   rhel-7-fast-datapath-rpms
Repo Name: Red Hat Enterprise Linux Fast Datapath (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/fast-datapath/os
Enabled:   1

Repo ID:   qci-1.1-for-rhel-7-beta-rpms
Repo Name: QuickStart Cloud Installer 1.1 Beta (RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/rhel/server/7/$basearch/qci/1.1/os
Enabled:   1

Repo ID:   rhel-7-fast-datapath-htb-rpms
Repo Name: Red Hat Enterprise Linux Fast Datapath Beta (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/htb/rhel/server/7/$basearch/fast-datapath/os
Enabled:   1

Repo ID:   rhel-7-server-rt-rpms
Repo Name: Red Hat Enterprise Linux for Real Time (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/rt/os
Enabled:   1

Repo ID:   rhel-7-server-rt-beta-rpms
Repo Name: Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/rhel/server/7/$basearch/rt/os
Enabled:   1

Repo ID:   rhel-7-server-rpms
Repo Name: Red Hat Enterprise Linux 7 Server (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/os
Enabled:   1


# subscription-manager list --installed

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        7.3
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/16/2017

#  yum -y --quiet install zsh --disablerepo=* --enablerepo=rhel-7-server-aus-rpms
warning: /var/cache/yum/x86_64/7Server/rhel-7-server-aus-rpms/packages/zsh-5.0.2-14.el7_2.2.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY
Public key for zsh-5.0.2-14.el7_2.2.x86_64.rpm is not installed
Importing GPG key 0xFD431D51:
 Userid     : "Red Hat, Inc. (release key 2) <security@redhat.com>"
 Fingerprint: 567e 347a d004 4ade 55ba 8a5f 199e 2f91 fd43 1d51
 Package    : redhat-release-server-7.3-7.el7.x86_64 (@anaconda/7.3)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Importing GPG key 0x2FA658E0:
 Userid     : "Red Hat, Inc. (auxiliary key) <security@redhat.com>"
 Fingerprint: 43a6 e49c 4a38 f4be 9abf 2a53 4568 9c88 2fa6 58e0
 Package    : redhat-release-server-7.3-7.el7.x86_64 (@anaconda/7.3)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
# subscription-manager list --installed

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        7.3
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/16/2017

Product Name:   Red Hat Enterprise Linux Server - AUS
Product ID:     251
Version:        7.2
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:           ---->> Reproduced and observed that start/end dates are  
                          missing
Ends:           

# subscription-manager list --installed

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        7.3
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/16/2017

Product Name:   Red Hat Enterprise Linux Server - AUS
Product ID:     251
Version:        7.2
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016  
Ends:           06/16/2017

^^ observed that when list --installed was executed second time the start/end date appeared.

Retesting on RHEL74 with the following subscription-manager version :
======================================================================
subscription-manager: 1.19.10-1.el7
python-rhsm: 1.19.5-1.el7

# subscription-manager register --serverurl=subscription.rhn.stage.redhat.com --baseurl=https://cdn.redhat.com --auto-attach --username=qa@redhat.com
Registering to: subscription.rhn.stage.redhat.com:443/subscription
Password: 
The system has been registered with ID: ed09d71a-2f6d-49db-86a9-52d902292d2c 

Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

[root@ibm-x3650m4-01-vm-10 test]# subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-server-htb-rpms
Repo Name: Red Hat Enterprise Linux 7 Server HTB (RPMs)
Repo URL:  https://cdn.redhat.com/content/htb/rhel/server/7/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-aus-rhui-rpms
Repo Name: Red Hat Enterprise Linux 7 Server - AUS (RPMs) from RHUI
Repo URL:  https://cdn.redhat.com/content/aus/rhel/rhui/server/7/$releasever/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-tus-rpms
Repo Name: Red Hat Enterprise Linux 7 Server - TUS (RPMs)
Repo URL:  https://cdn.redhat.com/content/tus/rhel/server/7/$releasever/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-aus-rpms
Repo Name: Red Hat Enterprise Linux 7 Server - AUS (RPMs)
Repo URL:  https://cdn.redhat.com/content/aus/rhel/server/7/$releasever/$basearch/os
Enabled:   1

Repo ID:   rhel-7-server-nfv-rpms
Repo Name: Red Hat Enterprise Linux for Real Time for NFV (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/nfv/os
Enabled:   1

Repo ID:   rhel-7-server-rt-htb-rpms
Repo Name: Red Hat Enterprise Linux for Real Time HTB (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/htb/rhel/server/7/$basearch/rt/os
Enabled:   1

Repo ID:   rhel-7-fast-datapath-rpms
Repo Name: Red Hat Enterprise Linux Fast Datapath (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/fast-datapath/os
Enabled:   1

Repo ID:   qci-1.1-for-rhel-7-beta-rpms
Repo Name: QuickStart Cloud Installer 1.1 Beta (RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/rhel/server/7/$basearch/qci/1.1/os
Enabled:   1

Repo ID:   rhel-7-fast-datapath-htb-rpms
Repo Name: Red Hat Enterprise Linux Fast Datapath Beta (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/htb/rhel/server/7/$basearch/fast-datapath/os
Enabled:   1

Repo ID:   rhel-7-server-rt-rpms
Repo Name: Red Hat Enterprise Linux for Real Time (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/rt/os
Enabled:   1

Repo ID:   rhel-7-server-rt-beta-rpms
Repo Name: Red Hat Enterprise Linux for Real Time Beta (RHEL 7 Server) (RPMs)
Repo URL:  https://cdn.redhat.com/content/beta/rhel/server/7/$basearch/rt/os
Enabled:   1

Repo ID:   rhel-7-server-rpms
Repo Name: Red Hat Enterprise Linux 7 Server (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/os
Enabled:   1

[root@ibm-x3650m4-01-vm-10 test]# subscription-manager list --installed


+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        7.4 Beta
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/15/2017

[root@ibm-x3650m4-01-vm-10 test]# 
[root@ibm-x3650m4-01-vm-10 test]#  yum -y --quiet install zsh --disablerepo=* --enablerepo=rhel-7-server-aus-rpms
warning: /var/cache/yum/x86_64/7Server/rhel-7-server-aus-rpms/packages/zsh-5.0.2-14.el7_2.2.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY
Public key for zsh-5.0.2-14.el7_2.2.x86_64.rpm is not installed
Importing GPG key 0xFD431D51:
 Userid     : "Red Hat, Inc. (release key 2) <security@redhat.com>"
 Fingerprint: 567e 347a d004 4ade 55ba 8a5f 199e 2f91 fd43 1d51
 Package    : redhat-release-server-7.4-11.el7.x86_64 (@beaker-Server/7.4)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Importing GPG key 0x2FA658E0:
 Userid     : "Red Hat, Inc. (auxiliary key) <security@redhat.com>"
 Fingerprint: 43a6 e49c 4a38 f4be 9abf 2a53 4568 9c88 2fa6 58e0
 Package    : redhat-release-server-7.4-11.el7.x86_64 (@beaker-Server/7.4)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
[root@ibm-x3650m4-01-vm-10 test]# subscription-manager list --installed

+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        7.4 Beta
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/15/2017

Product Name:   Red Hat Enterprise Linux Server - AUS
Product ID:     251
Version:        7.2
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         06/16/2016
Ends:           06/15/2017


^^ Observed that now the start/End date appear immediately after the new product certification install 

Based on the above observations , marking this bug as Verified!!

Comment 6 errata-xmlrpc 2017-08-01 19:18:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2083


Note You need to log in before you can comment on or make changes to this bug.